Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface IMessage.MsgHeader

All Known Implementing Classes:
  Message.MsgHeader

Enclosing interface:
  IMessage

    public static interface IMessage.MsgHeader

Represents the descriptor portion of a Message. It provides access to Message member variables, but does not validate the values specified for these variables thru this implementation. Please consult IBM's WebSphere MQ Java API documentation detailed information about these variables and their applicable values.

See Also:
  `MQMessage`, `Message`

Method Summary
`byte[]` | `getAccountingToken()` Retrieves the value of the Message's accountingToken variable.
`java.lang.String` | `getApplicationIdData()` Retrieves the value of the Message's applicationIdData variable.
`java.lang.String` | `getApplicationOriginData()` Retrieves the value of the Message's applicationOriginData variable.
`int` | `getBackoutCount()` Retrieves the value of the Message's backoutCount variable.
`int` | `getCharacterSet()` Retrieves the value of the Message's characterSet variable.
`byte[]` | `getCorrelationId()` Retrieves the value of the Message's correlationId variable.
`int` | `getEncoding()` Retrieves the value of the Message's encoding variable.
`int` | `getExpiry()` Retrieves the value of the Message's expiry variable.
`int` | `getFeedback()` Retrieves the value of the Message's feedback variable.
`java.lang.String` | `getFormat()` Retrieves the value of the Message's format variable.
`byte[]` | `getGroupId()` Retrieves the value of the Message's groupId variable.
`int` | `getMessageFlags()` Retrieves the value of the Message's messageFlags variable.
`byte[]` | `getMessageId()` Retrieves the value of the Message's messageId variable.
`int` | `getMessageSequenceNumber()` Retrieves the value of the Message's messageSequenceNumber variable.
`int` | `getMessageType()` Retrieves the value of the Message's messageType variable.
`int` | `getOffset()` Retrieves the value of the Message's offset variable.
`int` | `getOriginalLength()` Retrieves the value of the Message's originalLength variable.
`int` | `getPersistence()` Retrieves the value of the Message's persistence variable.
`int` | `getPriority()` Retrieves the value of the Message's priority variable.
`java.lang.String` | `getPutApplicationName()` Retrieves the value of the Message's putApplicationName variable.
`int` | `getPutApplicationType()` Retrieves the value of the Message's putApplicationType variable.
`java.util.GregorianCalendar` | `getPutDateTime()` Retrieves the value of the Message's putDateTime variable.
`java.lang.String` | `getReplyToQueueManagerName()` Retrieves the value of the Message's replyToQueueManagerName variable.
`java.lang.String` | `getReplyToQueueName()` Retrieves the value of the Message's replyToQueueName variable.
`int` | `getReport()` Retrieves the value of the Message's report variable.
`java.lang.String` | `getUserId()` Retrieves the value of the Message's userId variable.
`void` | `setAccountingToken(byte[] val)` Assigns a value to the Message's accountingToken variable.
`void` | `setApplicationIdData(java.lang.String val)` Assigns a value to the Message's applicationIdData variable.
`void` | `setApplicationOriginData(java.lang.String val)` Assigns a value to the Message's applicationOriginData variable.
`void` | `setBackoutCount(int val)` Assigns a value to the Message's backoutCount variable.
`void` | `setCharacterSet(int val)` Assigns a value to the Message's characterSet variable.
`void` | `setCorrelationId(byte[] val)` Assigns a value to the Message's correlationId variable.
`void` | `setEncoding(int val)` Assigns a value to the Message's encoding variable.
`void` | `setExpiry(int val)` Assigns a value to the Message's expiry variable.
`void` | `setFeedback(int val)` Assigns a value to the Message's feedback variable.
`void` | `setFormat(java.lang.String val)` Assigns a value to the Message's format variable.
`void` | `setGroupId(byte[] val)` Assigns a value to the Message's groupId variable.
`void` | `setMessageFlags(int val)` Assigns a value to the Message's messageFlags variable.
`void` | `setMessageId(byte[] val)` Assigns a value to the Message's messageId variable.
`void` | `setMessageSequenceNumber(int val)` Assigns a value to the Message's messageSequenceNumber variable.
`void` | `setMessageType(int val)` Assigns a value to the Message's messageType variable.
`void` | `setOffset(int val)` Assigns a value to the Message's offset variable.
`void` | `setOriginalLength(int val)` Assigns a value to the Message's originalLength variable.
`void` | `setPersistence(int val)` Assigns a value to the Message's persistence variable.
`void` | `setPriority(int val)` Assigns a value to the Message's priority variable.
`void` | `setPutApplicationName(java.lang.String val)` Assigns a value to the Message's putApplicationName variable.
`void` | `setPutApplicationType(int val)` Assigns a value to the Message's putApplicationType variable.
`void` | `setPutDateTime(java.util.GregorianCalendar val)` Assigns a value to the Message's putDateTime variable.
`void` | `setReplyToQueueManagerName(java.lang.String val)` Assigns a value to the Message's replyToQueueManagerName variable.
`void` | `setReplyToQueueName(java.lang.String val)` Assigns a value to the Message's replyToQueueName variable.
`void` | `setReport(int val)` Assigns a value to the Message's report variable.
`void` | `setUserId(java.lang.String val)` Assigns a value to the Message's userId variable.

Method Detail

### setReport

    void setReport(int val)

  Assigns a value to the Message's report variable.

  Parameters:
    `val` - Report request value
  See Also:
    `MQMD.report`

### getReport

    int getReport()

  Retrieves the value of the Message's report variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the report request value.
  Throws:
    None.
  See Also:
    `MQMD.report`

### setMessageType

    void setMessageType(int val)

  Assigns a value to the Message's messageType variable.

  Parameters:
    `val` - Message type
  See Also:
    `MQMD.messageType`

### getMessageType

    int getMessageType()

  Retrieves the value of the Message's messageType variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the message type value.
  Throws:
    None.
  See Also:
    `MQMD.messageType`

### setExpiry

    void setExpiry(int val)

  Assigns a value to the Message's expiry variable.

  Parameters:
    `val` - expiry
  See Also:
    `MQMD.expiry`

### getExpiry

    int getExpiry()

  Retrieves the value of the Message's expiry variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the expiry value.
  Throws:
    None.
  See Also:
    `MQMD.expiry`

### setFeedback

    void setFeedback(int val)

  Assigns a value to the Message's feedback variable.

  Parameters:
    `val` - feedback
  See Also:
    `MQMD.feedback`

### getFeedback

    int getFeedback()

  Retrieves the value of the Message's feedback variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the feedback value.
  Throws:
    None.
  See Also:
    `MQMD.feedback`

### setEncoding

    void setEncoding(int val)

  Assigns a value to the Message's encoding variable.

  Parameters:
    `val` - encoding type
  See Also:
    `MQMD.encoding`

### getEncoding

    int getEncoding()

  Retrieves the value of the Message's encoding variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the encoding value.
  Throws:
    None.
  See Also:
    `MQMD.encoding`

### setCharacterSet

    void setCharacterSet(int val)

  Assigns a value to the Message's characterSet variable.

  Parameters:
    `val` - characterSet
  See Also:
    `MQMD.characterSet`

### getCharacterSet

    int getCharacterSet()

  Retrieves the value of the Message's characterSet variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the characterSet value.
  Throws:
    None.
  See Also:
    `MQMD.characterSet`

### setFormat

    void setFormat(java.lang.String val)

  Assigns a value to the Message's format variable.

  Parameters:
    `val` - format type
  See Also:
    `MQMD.format`

### getFormat

    java.lang.String getFormat()

  Retrieves the value of the Message's format variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the format value.
  Throws:
    None.
  See Also:
    `MQMD.format`

### setPriority

    void setPriority(int val)

  Assigns a value to the Message's priority variable.

  Parameters:
    `val` - priority
  See Also:
    `MQMD.priority`

### getPriority

    int getPriority()

  Retrieves the value of the Message's priority variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the priority value.
  Throws:
    None.
  See Also:
    `MQMD.priority`

### setPersistence

    void setPersistence(int val)

  Assigns a value to the Message's persistence variable.

  Parameters:
    `val` - persistence
  See Also:
    `MQMD.persistence`

### getPersistence

    int getPersistence()

  Retrieves the value of the Message's persistence variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the persistence value.
  Throws:
    None.
  See Also:
    `MQMD.persistence`

### setMessageId

    void setMessageId(byte[] val)

  Assigns a value to the Message's messageId variable.

  Parameters:
    `val` - Message ID
  See Also:
    `MQMD.messageId`

### getMessageId

    byte[] getMessageId()

  Retrieves the value of the Message's messageId variable.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns the messageId value.
  Throws:
    None.
  See Also:
    `MQMD.messageId`

### setCorrelationId

    void setCorrelationId(byte[] val)

  Assigns a value to the Message's correlationId variable.

  Parameters:
    `val` - Correlation ID
  See Also:
    `MQMD.correlationId`

### getCorrelationId

    byte[] getCorrelationId()

  Retrieves the value of the Message's correlationId variable.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns the correlationId value.
  Throws:
    None.
  See Also:
    `MQMD.correlationId`

### setBackoutCount

    void setBackoutCount(int val)

  Assigns a value to the Message's backoutCount variable.

  Parameters:
    `val` - backout count
  See Also:
    `MQMD.backoutCount`

### getBackoutCount

    int getBackoutCount()

  Retrieves the value of the Message's backoutCount variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the backoutCount value.
  Throws:
    None.
  See Also:
    `MQMD.backoutCount`

### setReplyToQueueName

    void setReplyToQueueName(java.lang.String val)

  Assigns a value to the Message's replyToQueueName variable.

  Parameters:
    `val` - replyToQueueName value
  See Also:
    `MQMD.replyToQueueName`

### getReplyToQueueName

    java.lang.String getReplyToQueueName()

  Retrieves the value of the Message's replyToQueueName variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the replyToQueueName value.
  Throws:
    None.
  See Also:
    `MQMD.replyToQueueName`

### setReplyToQueueManagerName

    void setReplyToQueueManagerName(java.lang.String val)

  Assigns a value to the Message's replyToQueueManagerName variable.

  Parameters:
    `val` - replyToQueueManagerName value
  See Also:
    `MQMD.replyToQueueManagerName`

### getReplyToQueueManagerName

    java.lang.String getReplyToQueueManagerName()

  Retrieves the value of the Message's replyToQueueManagerName variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the replyToQueueManagerName value.
  Throws:
    None.
  See Also:
    `MQMD.replyToQueueManagerName`

### setUserId

    void setUserId(java.lang.String val)

  Assigns a value to the Message's userId variable.

  Parameters:
    `val` - User ID
  See Also:
    `MQMD.userId`

### getUserId

    java.lang.String getUserId()

  Retrieves the value of the Message's userId variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the userId value.
  Throws:
    None.
  See Also:
    `MQMD.userId`

### setAccountingToken

    void setAccountingToken(byte[] val)

  Assigns a value to the Message's accountingToken variable.

  Parameters:
    `val` - Accounting token type
  See Also:
    `MQMD.accountingToken`

### getAccountingToken

    byte[] getAccountingToken()

  Retrieves the value of the Message's accountingToken variable.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns the accountingToken value.
  Throws:
    None.
  See Also:
    `MQMD.accountingToken`

### setApplicationIdData

    void setApplicationIdData(java.lang.String val)

  Assigns a value to the Message's applicationIdData variable.

  Parameters:
    `val` - Application ID
  See Also:
    `MQMD.applicationIdData`

### getApplicationIdData

    java.lang.String getApplicationIdData()

  Retrieves the value of the Message's applicationIdData variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the applicationIdData value.
  Throws:
    None.
  See Also:
    `MQMD.applicationIdData`

### setPutApplicationType

    void setPutApplicationType(int val)

  Assigns a value to the Message's putApplicationType variable.

  Parameters:
    `val` - Message type
  See Also:
    `MQMD.putApplicationType`

### getPutApplicationType

    int getPutApplicationType()

  Retrieves the value of the Message's putApplicationType variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the putApplicationType value.
  Throws:
    None.
  See Also:
    `MQMD.putApplicationType`

### setPutApplicationName

    void setPutApplicationName(java.lang.String val)

  Assigns a value to the Message's putApplicationName variable.

  Parameters:
    `val` - Application name
  See Also:
    `MQMD.putApplicationName`

### getPutApplicationName

    java.lang.String getPutApplicationName()

  Retrieves the value of the Message's putApplicationName variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the putApplicationName value.
  Throws:
    None.
  See Also:
    `MQMD.putApplicationName`

### setPutDateTime

    void setPutDateTime(java.util.GregorianCalendar val)

  Assigns a value to the Message's putDateTime variable.

  Parameters:
    `val` - Put date time
  See Also:
    `MQMD.putDateTime`

### getPutDateTime

    java.util.GregorianCalendar getPutDateTime()

  Retrieves the value of the Message's putDateTime variable.

  Parameters:
    None.

  Returns:
    `java.util.GregorianCalendar` - Returns the putDateTime value.
  Throws:
    None.
  See Also:
    `MQMD.putDateTime`

### setApplicationOriginData

    void setApplicationOriginData(java.lang.String val)

  Assigns a value to the Message's applicationOriginData variable.

  Parameters:
    `val` - Application origin
  See Also:
    `MQMD.applicationOriginData`

### getApplicationOriginData

    java.lang.String getApplicationOriginData()

  Retrieves the value of the Message's applicationOriginData variable.

  Parameters:
    None.

  Returns:
    `String` - Returns the applicationOriginData value.
  Throws:
    None.
  See Also:
    `MQMD.applicationOriginData`

### setGroupId

    void setGroupId(byte[] val)

  Assigns a value to the Message's groupId variable.

  Parameters:
    `val` - Group ID
  See Also:
    `MQMD.groupId`

### getGroupId

    byte[] getGroupId()

  Retrieves the value of the Message's groupId variable.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns the groupId value.
  Throws:
    None.
  See Also:
    `MQMD.groupId`

### setMessageSequenceNumber

    void setMessageSequenceNumber(int val)

  Assigns a value to the Message's messageSequenceNumber variable.

  Parameters:
    `val` - Message sequence number
  See Also:
    `MQMD.messageSequenceNumber`

### getMessageSequenceNumber

    int getMessageSequenceNumber()

  Retrieves the value of the Message's messageSequenceNumber variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the messageSequenceNumber value.
  Throws:
    None.
  See Also:
    `MQMD.messageSequenceNumber`

### setOffset

    void setOffset(int val)

  Assigns a value to the Message's offset variable.

  Parameters:
    `val` - offset
  See Also:
    `MQMD.offset`

### getOffset

    int getOffset()

  Retrieves the value of the Message's offset variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the offset value.
  Throws:
    None.
  See Also:
    `MQMD.offset`

### setMessageFlags

    void setMessageFlags(int val)

  Assigns a value to the Message's messageFlags variable.

  Parameters:
    `val` - Message flags
  See Also:
    `MQMD.messageFlags`

### getMessageFlags

    int getMessageFlags()

  Retrieves the value of the Message's messageFlags variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the messageFlags value.
  Throws:
    None.
  See Also:
    `MQMD.messageFlags`

### setOriginalLength

    void setOriginalLength(int val)

  Assigns a value to the Message's originalLength variable.

  Parameters:
    `val` - original length
  See Also:
    `MQMD.originalLength`

### getOriginalLength

    int getOriginalLength()

  Retrieves the value of the Message's originalLength variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the originalLength value.
  Throws:
    None.
  See Also:
    `MQMD.originalLength`

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.